import { Client, ClientOptions } from 'minio';
import { useConfig } from '@kevisual/use-config';

type MinioConfig = {
  minio: ClientOptions & { bucketName: string };
};
const config = useConfig<MinioConfig>();
const { bucketName, ...minioRest } = config.minio;
const { port, endPoint, useSSL } = minioRest;
export const minioUrl = `http${useSSL ? 's' : ''}://${endPoint}:${port || 9000}`;
export const minioResources = `${minioUrl}/resources`;
export const minioClient = new Client(minioRest);
export { bucketName };
if (!minioClient) {
  throw new Error('Minio client not initialized');
}
// 验证权限
// (async () => {
//   const bucketExists = await minioClient.bucketExists(bucketName);
//   if (!bucketExists) {
//     await minioClient.makeBucket(bucketName);
//   }
//   const res = await minioClient.putObject(bucketName, 'private/test/a.b', 'test');
//   console.log('minio putObject', res);

// })();
